package com.yunzhupaas.visualdata.service;

import com.yunzhupaas.base.service.SuperService;
import com.yunzhupaas.visualdata.entity.VisualAssetsEntity;
import com.yunzhupaas.visualdata.model.visual.VisualPaginationModel;

import java.util.List;

/**
 * 静态资源
 *
 * @author 云筑产品开发平台组
 * @version V3.1.0
 * @copyright 深圳市乐程软件有限公司
 * @date 2024年6月15日
 */
public interface VisualAssetsService extends SuperService<VisualAssetsEntity> {

    /**
     * 列表
     *
     * @param pagination 条件
     * @return
     */
    List<VisualAssetsEntity> getList(VisualPaginationModel pagination);

    /**
     * 列表
     *
     * @return
     */
    List<VisualAssetsEntity> getList();

    /**
     * 信息
     *
     * @param id 主键值
     * @return
     */
    VisualAssetsEntity getInfo(String id);

    /**
     * 创建
     *
     * @param entity 实体对象
     */
    void create(VisualAssetsEntity entity);

    /**
     * 更新
     *
     * @param id     主键值
     * @param entity 实体对象
     * @return
     */
    boolean update(String id, VisualAssetsEntity entity);

    /**
     * 删除
     */
    boolean delete(String id);
}

